| Home | Libraries | People | FAQ | More

##### http::swap (1 of 2 overloads)

Swap two header objects.

###### Synopsis

Defined in header `<boost/beast/http/message.hpp>`

    template<
        bool isRequest,
        class Fields>
    void
    swap(
        header< isRequest, Fields >& m1,
        header< isRequest, Fields >& m2);

###### Description

###### Requirements

`Fields` is Swappable.

Convenience header `<boost/beast/http.hpp>`